Accounts

This section covers the different types of accounts supported by the Partner API, including primary accounts and virtual accounts.

Our platform provides two options for accounts on partner platform, Primary Accounts and Virtual Accounts. For both types, account creation is an asynchronous operation on the platform, that's why once request is sent and response received, you might need to wait until account is ready.

Account statuses

You can use Get Account Details API to pull current account status, you can initiate payments or other interactions once you see it's READY

Status
Description

INITIALIZING

Account is not ready to use.

READY

Account ready to use.

SUSPENDED

Account suspended for AML or compliance reasons.

CLOSED

Account permanently closed.

circle-info

All fund activities for both primary and virtual accounts booked in separate isolated ledgers that maintains separate balances.

Primary Accounts

Primary accounts can be used for a variety of purposes, such as facilitating cross-border transactions, receiving payments from multiple sources, and managing finances for e-commerce businesses.

Please refer to Primary Accounts section for more information about how to create primary accounts.

Primary Accountschevron-right

Virtual Accounts

Virtual accounts requires an existing primary account as a parent, and it uses the same currency and safe-guarding relationship as the parent account.

Please refer to Virtual Accounts section for more information about how to create virtual accounts.

Virtual Accountschevron-right

List accounts

You can get all the accounts created under your partner organisation using the following API.

Get all accounts

get
Query parameters
primaryAccountIdstring · uuid · nullableOptional

Primary account ID to filter virtual accounts.

Example: e0cab2dd-739f-43de-b131-3e423e935bf1
pagenumberRequired

Page number for paginated results.

Default: 1Example: 1
limitnumber · max: 100Required

Number of accounts per page.

Default: 10Example: 10
Header parameters
authorizationstringOptional

Authorization header containing your API Token

x-alg-noncestringOptional

Nonce used to generate the payload signature

x-alg-signaturestringOptional

Payload signature

datestringOptional

Date of the request un UTC/GMT

Responses
chevron-right
200

List of accounts available to the partner

application/json
objectOptional
and
get
/v1/partner/accounts

Get Account Details

Get account

get
Path parameters
accountIdstringRequired
Header parameters
authorizationstringOptional

Authorization header containing your API Token

x-alg-noncestringOptional

Nonce used to generate the payload signature

x-alg-signaturestringOptional

Payload signature

datestringOptional

Date of the request un UTC/GMT

Responses
chevron-right
200

Returns the account details

application/json
idstring · uuidRequired

Unique identifier of the account

Example: e0cab2dd-739f-43de-b131-3e423e935bf1
partnerIdstring · uuidRequiredDeprecated

Partner identifier that owns or manages this account

Example: 2ecf0e23-3215-462c-97c4-9e5a147656d7
externalReferencestring · uuidOptional

External reference

primaryAccountIdstring · uuid · nullableOptional

Primary account identifier, if this account is a sub-account

Example: ae66fcb2-2852-4568-990d-accc78572e4d
typestring · enumRequired

Type of account

Example: PRIMARYPossible values:
currencyCodestring · enumRequired

Currency associated with this account

Example: GBPPossible values:
createDatestring · date-timeRequired

Date when the account was created

Example: 2025-01-01
statestring · enumRequired

Current operational state of the account

Example: READYPossible values:
get
/v1/partner/accounts/{accountId}

Last updated

Was this helpful?